summaryrefslogtreecommitdiffstats
path: root/compass-deck/bin/refresh_server.sh
diff options
context:
space:
mode:
authorHarry Huang <huangxiangyu5@huawei.com>2017-11-01 11:56:50 +0800
committerHarry Huang <huangxiangyu5@huawei.com>2017-11-03 11:48:46 +0800
commit905b0231e93ce2409a45dd6c4f5f983689fdb790 (patch)
tree8b3c8c78773194e048072368fe793135a05e44f1 /compass-deck/bin/refresh_server.sh
parent3656ab7b5e3f2f26f7c98f9dcc97b3c461fa2a76 (diff)
Add compass-deck
RESTful API and DB Handlers for Compass Change-Id: I1ce411f279943764c286ea48dca9185d453cf254 Signed-off-by: Harry Huang <huangxiangyu5@huawei.com>
Diffstat (limited to 'compass-deck/bin/refresh_server.sh')
-rwxr-xr-xcompass-deck/bin/refresh_server.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/compass-deck/bin/refresh_server.sh b/compass-deck/bin/refresh_server.sh
new file mode 100755
index 0000000..a93204a
--- /dev/null
+++ b/compass-deck/bin/refresh_server.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+systemctl restart mysql.service
+systemctl status mysql.service || exit $?
+/opt/compass/bin/manage_db.py createdb
+# /opt/compass/bin/clean_installers.py --noasync
+# /opt/compass/bin/clean_installation_logs.py
+# rm -rf /var/ansible/run/*
+systemctl restart httpd.service
+systemctl status httpd.service || exit $?
+systemctl restart rsyslog.service
+systemctl status rsyslog.service || exit $?
+systemctl restart redis.service
+systemctl status redis.service || exit $?
+redis-cli flushall
+# systemctl restart cobblerd.service
+# systemctl status cobblerd.service || exit $?
+# systemctl restart compass-celeryd.service
+# systemctl status compass-celeryd.service || exit $?
+# systemctl restart compass-progress-updated.service
+# systemctl status compass-progress-updated.service || exit $?
+